Security Enhanced Linux Reference Policy

# Layer: services

## Module: postfix

Interfaces Templates

### Description:

Postfix email server

### Interfaces:

postfix_config_filetrans( domain , private type , object )

##### Summary

Create files with the specified type in the postfix configuration directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private type | The type of the object to be created.
object | The object class of the object being created.

postfix_create_pivate_sockets( domain )

##### Summary

Create a named socket in a postfix private directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_domtrans_map( domain )

##### Summary

Execute postfix_map in the postfix_map domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_domtrans_master( domain )

##### Summary

Execute the master postfix program in the postfix_master domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_domtrans_smtp( domain )

##### Summary

Execute the master postfix program in the postfix_master domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_domtrans_user_mail_handler( domain )

##### Summary

Execute postfix user mail programs in their respective domains.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_dontaudit_rw_local_tcp_sockets( domain )

##### Summary

Do not audit attempts to read and write postfix local delivery TCP sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

postfix_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to use postfix master process file file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

postfix_exec_master( domain )

##### Summary

Execute the master postfix program in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_list_spool( domain )

##### Summary

List postfix mail spool directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_manage_spool_files( domain )

##### Summary

Create, read, write, and delete postfix mail spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_read_config( domain )

##### Summary

Read postfix configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_read_local_state( domain )

##### Summary

Allow domain to read postfix local process state

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

postfix_read_master_state( domain )

##### Summary

Allow domain to read postfix master process state

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

postfix_read_spool_files( domain )

##### Summary

Read postfix mail spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_run_map( domain , role )

##### Summary

Execute postfix_map in the postfix_map domain, and allow the specified role the postfix_map domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the postfix_map domain.

postfix_search_spool( domain )

##### Summary

Search postfix mail spool directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

postfix_stub( domain )

##### Summary

Postfix stub interface. No access allowed.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

postfix_domain_template( prefix )

##### Summary

Creates types and rules for a basic postfix process domain.

##### Parameters

Parameter: | Description:
--- | ---
prefix | Prefix for the domain.

postfix_server_domain_template( prefix )

##### Summary

Creates a postfix server process domain.

##### Parameters

Parameter: | Description:
--- | ---
prefix | Prefix of the domain.

postfix_user_domain_template( prefix )

##### Summary

Creates a process domain for programs that are ran by users.

##### Parameters

Parameter: | Description:
--- | ---
prefix | Prefix of the domain.

Return